Skip to main content
Markdown provides structured text that AI tools can process more efficiently than HTML, which results in better response accuracy, faster processing times, and lower token usage. Mintlify automatically generates Markdown versions of pages that are optimized for AI tools and external integrations.

.md URL extension

Add .md to any page’s URL to view a Markdown version.

Accept header

Send a request with Accept: text/markdown or Accept: text/plain to any page URL to receive the Markdown version instead of HTML. This is useful for AI tools and integrations that programmatically fetch documentation content.
curl -H "Accept: text/markdown" https://mintlify.com/docs/ai/markdown-export

Keyboard shortcut

Press Command + C (Ctrl + C on Windows) to copy a page as Markdown to your clipboard.